DataTypes File Reference
`#include <string>`
`#include <osg/GL>`

Go to the source code of this file.

## Classes

struct | osgDB::ObjectGLenum
class | osgDB::ObjectProperty
class | osgDB::ObjectMark

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_DATATYPES
#define | OSG_HEADER_LOW 0x6C910EA1
#define | OSG_HEADER_HIGH 0x1AFB4545
#define | GLENUM(value)
#define | DEF_GLENUM(var)
#define | MAPPEE(pairName, value)
#define | DEF_MAPPEE(pairName, var)

## Variables

const unsigned int | osgDB::PLUGIN_VERSION = 2
const int | osgDB::BOOL_SIZE = 1
const int | osgDB::CHAR_SIZE = 1
const int | osgDB::SHORT_SIZE = 2
const int | osgDB::INT_SIZE = 4
const int | osgDB::LONG_SIZE = 4
const int | osgDB::INT64_SIZE = 8
const int | osgDB::FLOAT_SIZE = 4
const int | osgDB::DOUBLE_SIZE = 8
const int | osgDB::GLENUM_SIZE = 4
const int | osgDB::ID_BYTE_ARRAY = 0
const int | osgDB::ID_UBYTE_ARRAY = 1
const int | osgDB::ID_SHORT_ARRAY = 2
const int | osgDB::ID_USHORT_ARRAY = 3
const int | osgDB::ID_INT_ARRAY = 4
const int | osgDB::ID_UINT_ARRAY = 5
const int | osgDB::ID_FLOAT_ARRAY = 6
const int | osgDB::ID_DOUBLE_ARRAY = 7
const int | osgDB::ID_VEC2B_ARRAY = 8
const int | osgDB::ID_VEC3B_ARRAY = 9
const int | osgDB::ID_VEC4B_ARRAY = 10
const int | osgDB::ID_VEC4UB_ARRAY = 11
const int | osgDB::ID_VEC2S_ARRAY = 12
const int | osgDB::ID_VEC3S_ARRAY = 13
const int | osgDB::ID_VEC4S_ARRAY = 14
const int | osgDB::ID_VEC2_ARRAY = 15
const int | osgDB::ID_VEC3_ARRAY = 16
const int | osgDB::ID_VEC4_ARRAY = 17
const int | osgDB::ID_VEC2D_ARRAY = 18
const int | osgDB::ID_VEC3D_ARRAY = 19
const int | osgDB::ID_VEC4D_ARRAY = 20
const int | osgDB::ID_VEC2UB_ARRAY = 21
const int | osgDB::ID_VEC3UB_ARRAY = 22
const int | osgDB::ID_VEC2US_ARRAY = 23
const int | osgDB::ID_VEC3US_ARRAY = 24
const int | osgDB::ID_VEC4US_ARRAY = 25
const int | osgDB::ID_VEC2I_ARRAY = 26
const int | osgDB::ID_VEC3I_ARRAY = 27
const int | osgDB::ID_VEC4I_ARRAY = 28
const int | osgDB::ID_VEC2UI_ARRAY = 29
const int | osgDB::ID_VEC3UI_ARRAY = 30
const int | osgDB::ID_VEC4UI_ARRAY = 31
const int | osgDB::ID_UINT64_ARRAY = 32
const int | osgDB::ID_INT64_ARRAY = 33
const int | osgDB::ID_DRAWARRAYS = 50
const int | osgDB::ID_DRAWARRAY_LENGTH = 51
const int | osgDB::ID_DRAWELEMENTS_UBYTE = 52
const int | osgDB::ID_DRAWELEMENTS_USHORT = 53
const int | osgDB::ID_DRAWELEMENTS_UINT = 54
const int | osgDB::INDENT_VALUE = 2
const int | osgDB::IMAGE_INLINE_DATA = 0
const int | osgDB::IMAGE_INLINE_FILE = 1
const int | osgDB::IMAGE_EXTERNAL = 2
const int | osgDB::IMAGE_WRITE_OUT = 3

## Macro Definition Documentation

## DEF_GLENUM

#define DEF_GLENUM | ( |  | var | ) |

Value:
osgDB::ObjectGLenum var;
osgDB::ObjectGLenum
Definition DataTypes:94

Referenced by osgDB::GLenumSerializer< C, P >::read().

## DEF_MAPPEE

#define DEF_MAPPEE | ( |  | pairName,
|  |  | var )

Value:
osgDB::ObjectProperty var(#pairName, 0, true);
osgDB::ObjectProperty
Definition DataTypes:105

## GLENUM

#define GLENUM | ( |  | value | ) |

Value:
osgDB::ObjectGLenum(value)

Referenced by osgDB::GLenumSerializer< C, P >::write().

## MAPPEE

#define MAPPEE | ( |  | pairName,
|  |  | value )

Value:
osgDB::ObjectProperty(#pairName, value, true)

## OSG_HEADER_HIGH

#define OSG_HEADER_HIGH 0x1AFB4545

## OSG_HEADER_LOW

#define OSG_HEADER_LOW 0x6C910EA1

## OSGDB_DATATYPES

#define OSGDB_DATATYPES